Bug 1040352 - Custom partitioning: cannot change a standard partition's size, then return it to the original size
Summary: Custom partitioning: cannot change a standard partition's size, then return i...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker AcceptedFreezeExcepti...
Depends On:
Blocks: F20FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2013-12-11 09:45 UTC by Kamil Páral
Modified: 2015-04-27 11:21 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-23 08:02:37 UTC
Type: Bug


Attachments (Terms of Use)
bug demonstration video (813.49 KB, video/ogg)
2013-12-11 09:45 UTC, Kamil Páral
no flags Details
anaconda.log (24.38 KB, text/plain)
2013-12-11 09:46 UTC, Kamil Páral
no flags Details
program.log (23.19 KB, text/plain)
2013-12-11 09:46 UTC, Kamil Páral
no flags Details
storage.log (77.87 KB, text/plain)
2013-12-11 09:46 UTC, Kamil Páral
no flags Details
syslog (67.13 KB, text/plain)
2013-12-11 09:46 UTC, Kamil Páral
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 918454 1 None None None 2021-01-20 06:05:38 UTC
Red Hat Bugzilla 1027947 0 unspecified CLOSED Cannot change a logical volume's size, then return it to the original size 2021-02-22 00:41:40 UTC

Internal Links: 918454 1027947

Description Kamil Páral 2013-12-11 09:45:01 UTC
Created attachment 835196 [details]
bug demonstration video

Description of problem:
This is a fork of bug 1027947. Several bugs have been identified in it, this is one of them.

It's not possible to select an existing standard partition, resize it, and then change the size back to original value.

Version-Release number of selected component (if applicable):
anaconda 20.25.14

How reproducible:
always

Steps to Reproduce:
1. boot installer with an existing installation on disk (at least one standard partition)
2. enter custom partitioning
3. select an existing standard partition (e.g. /boot) and change its size (e.g. from 500MB to 400MB). Click Update Settings.
4. try to change the size back to 500MB, it reverts to 400MB.
5. try to change the size to other value, it works.
6. try to change the size back to 500MB. The size is changed to some other previous value.

Comment 1 Kamil Páral 2013-12-11 09:46:00 UTC
Created attachment 835197 [details]
anaconda.log

Comment 2 Kamil Páral 2013-12-11 09:46:03 UTC
Created attachment 835198 [details]
program.log

Comment 3 Kamil Páral 2013-12-11 09:46:06 UTC
Created attachment 835199 [details]
storage.log

Comment 4 Kamil Páral 2013-12-11 09:46:10 UTC
Created attachment 835200 [details]
syslog

Comment 5 Kamil Páral 2013-12-11 09:51:03 UTC
Proposing a Final blocker:
"Any installer mechanism for resizing storage volumes must correctly attempt the requested operation. "
https://fedoraproject.org/wiki/Fedora_20_Final_Release_Criteria#Storage_volume_resize

In this case, you cannot really cancel a previously requested resize, unless you reset all your changes completely (that is, however, an available workaround).

Comment 6 Mike Ruckman 2013-12-11 17:25:30 UTC
Discussed in 2013-12-11 Blocker Review Meeting [1]. Voted as an RejectedBlocker and an AcceptedFreezeException. This is inconvenient, but can be easily worked around by hitting Reset All. A patch will be considered.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2013-12-11/

Comment 8 David Shea 2015-04-14 19:09:49 UTC
Does this still occur in F21 or F22?

Comment 9 Lukas Brabec 2015-04-23 08:02:37 UTC
I wasn't able to reproduce this bug in F22 Beta RC3, closing.


Note You need to log in before you can comment on or make changes to this bug.